use rsa::{RsaPublicKey, RsaPrivateKey};
use sqlx::{Pool, Postgres};

use crate::config::Config;

pub struct AppState {
    pub pool: Pool<Postgres>,
    pub config: Config,
    pub public_key: RsaPublicKey,
    pub private_key: RsaPrivateKey,
}
